"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const rxjs_1 = require("rxjs");
const util_1 = require("../util");
/**
 * Map-based file system that holds map (URI -> content). Useful for testing.
 */
class MapAsynchronousFileSystem {
    constructor(asyncFiles = new Map()) {
        this.asyncFiles = asyncFiles;
    }
    getWorkspaceFiles(base) {
        return util_1.observableFromIterable(this.asyncFiles.keys());
    }
    getTextDocumentContent(uri) {
        const ret = this.asyncFiles.get(uri);
        if (ret === undefined) {
            return rxjs_1.Observable.throw(new Error(`Attempt to read not-existent file ${uri}`));
        }
        return rxjs_1.Observable.of(ret);
    }
}
exports.MapAsynchronousFileSystem = MapAsynchronousFileSystem;
//# sourceMappingURL=fs-helpers.js.map