"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const chai = require("chai");
const chaiAsPromised = require("chai-as-promised");
const iterare_1 = require("iterare");
const fs_1 = require("../fs");
const memfs_1 = require("../memfs");
chai.use(chaiAsPromised);
const assert = chai.assert;
describe('memfs.ts', () => {
    describe('OverlayFileSystem', () => {
        describe('fileExists()', () => {
            it('should expose TypeScript library files', () => __awaiter(this, void 0, void 0, function* () {
                const fs = new memfs_1.OverlayFileSystem(new fs_1.InMemoryFileSystem(), '/');
                assert.isTrue(iterare_1.default(memfs_1.typeScriptLibraries.keys()).every(path => fs.fileExists(path)));
            }));
        });
        describe('readFile()', () => {
            it('should expose TypeScript library files', () => __awaiter(this, void 0, void 0, function* () {
                const fs = new memfs_1.OverlayFileSystem(new fs_1.InMemoryFileSystem(), '/');
                assert.isTrue(iterare_1.default(memfs_1.typeScriptLibraries.keys()).every(path => !!fs.readFile(path)));
            }));
        });
    });
});
//# sourceMappingURL=memfs.test.js.map